ul li {
    list-style-type: none;
}

.gungungun {
    color: var(--primary-color);
}

.gun-icon {
    border-radius: 50%;
    width: 45px;
    background: #fff;
}

.nav-item:hover {
    background-position: left;
}

nav {
    background: #fff;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1rem 1.5rem;
    box-shadow: var(--main-border-shadow);
    position: fixed;
    width: 100%;
    top: 0;
    left: 0;
    z-index: 1;
    padding-top: 60px;
}

.hamburger {
    display: none;
}

.logo {
    font-size: 2rem;
    font-weight: 500;
}

.nav-item {
    margin-left: 2rem;
    font-size: 1.8rem;
    background: transparent;
    background: linear-gradient(to left, transparent 50%, var(--back-color) 50%)
        right;
    background-size: 200%;
    transition: 0.5s ease-out;
    overflow-y: hidden;
}

.theme-switch {
    margin-right: auto;
    margin-left: 2rem;
}

.nav-link {
    position: relative;
    z-index: 3;
    padding: 10px;
    font-weight: var(--bold-font);
}

.theme-switch-checkbox {
    opacity: 0;
    position: absolute;
}

.theme-switch-label {
    width: 80px;
    height: 40px;
    background-color: #111;
    display: flex;
    align-items: center;
    justify-content: space-between;
    border-radius: 30px;
    padding: 6px;
    position: relative;
    overflow: hidden;
    cursor: pointer;
}

.switcher {
    background-color: #fff;
    position: absolute;
    top: 5px;
    left: 4px;
    height: 30px;
    width: 30px;
    border-radius: 50%;
    cursor: pointer;
    transition-duration: 0.5s;
}

.moon,
.sun {
    z-index: 1;
    width: 25px;
}

.theme-switch-checkbox:checked + .theme-switch-label .switcher {
    transform: translateX(42px);
}

.bar {
    border: 2px solid black;
    background-color: black;
    border-radius: 20%;
    margin-top: 3px;
}

@media screen and (max-width: 944px) {
    .hamburger {
        display: grid;
        cursor: pointer;
        overflow: hidden;
        width: 25px;
        height: 25px;
    }

    .nav-item {
        margin: 1rem 0;
    }

    ul {
        background-color: #fff;
        flex-direction: column;
        position: fixed;
        top: 8rem;
        left: 100%;
        width: 100%;
        text-align: center;
    }

    .logo {
        font-size: 1.5rem;
    }
}

@media screen and (max-width: 500px) {
    .logo {
        font-size: 0.9rem;
    }

    .gun-icon {
        display: none;
    }
}

.hamburger:active {
    background-color: red;
}

ul {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

ul.active {
    transition-duration: 1s;
    left: 0;
}

.hamburger.active .bar:nth-child(2) {
    opacity: 0;
}

.hamburger.active .bar:nth-child(1) {
    transform: translateY(8px) rotate(45deg);
}

.hamburger.active .bar:nth-child(3) {
    transform: translateY(-8px) rotate(-45deg);
}
